Bug 871618

Summary: GROMACS compiled against old version of OpenMPI
Product: [Fedora] Fedora EPEL Reporter: Joshua Baker-LePain <joshua.bakerlepain>
Component: gromacsAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: dominik, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-17 01:07:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Joshua Baker-LePain 2012-10-30 21:14:15 UTC
Description of problem:
The packages contained in the gromacs-openmpi subpackage are compiled against Open MPI 1.4 and are installed into (for x86_64) /usr/lib64/openmpi/bin.  However, as of RHEL 6.3, /usr/lib64/openmpi contains version 1.5 of OpenMPI.  OpenMPI-1.4 is /usr/lib64/compat-openmpi.  As a result of this, /usr/lib64/openmpi/bin/g_mdrun_openmpi and /usr/lib64/openmpi/bin/g_mdrun_openmpi_d aren't able to be executed, as they're looking for older versions of OpenMPI.

Version-Release number of selected component (if applicable):
gromacs-openmpi-4.5.5-1.el6

How reproducible:
Every time

Steps to Reproduce:
1.  Install gromacs-openmpi-4.5.5-1.el6
2.  ldd /usr/lib64/openmpi/bin/g_mdrun_openmpi
  
Actual results:
   libmpi.so.0 => not found

Expected results:
   libmpi.so.1 => /usr/lib64/openmpi/lib/libmpi.so.1 (0x000000308e600000)


Additional info:
   Recompiling the SRPM on RHEL 6.3 fixes the problem.

Comment 1 Fedora Update System 2012-10-30 22:23:18 UTC
gromacs-4.5.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gromacs-4.5.5-2.el6

Comment 2 Fedora Update System 2012-11-01 18:02:45 UTC
Package gromacs-4.5.5-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gromacs-4.5.5-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13361/gromacs-4.5.5-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-11-17 01:07:02 UTC
gromacs-4.5.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.